View Issue Details

IDProjectCategoryView StatusLast Update
0026079LazarusIDEpublic2014-09-19 13:37
Reporternono95Assigned ToBigChimp 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSwindows 7 x64OS Versionhome edition
Product Version1.2.2Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0026079: Help crashes
DescriptionWhen I open the help menu Help/help, the window is blank (I would expect to have a table of content)
Then when I do file/open the window cannot be closed neither with the cancel or closing cross.
Steps To ReproduceHelp/help then file/open
Tagshelp, lhelp
Fixed in Revision46252
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Reinier Olislagers

2014-04-27 12:51

developer   ~0074614

Are you using 64 bit (x64) Lazarus or 32 bit (x86) Lazarus?

Reinier Olislagers

2014-09-09 19:19

developer   ~0077008

Last edited: 2014-09-10 08:06

View 2 revisions

Investigated myself
0. Is this issue still valid with latest stable Lazarus (1.2.4)?r
=> tested with x86: yes, partly: help shows nothing at all (blank screen) but no crash
1. Are you using the 64 bit Lazarus IDE or 32 bit IDE?
=> x86
2. Are you using the installer?
=> yes
3. Can you check if lcl.chm is in $(lazarusdir)\docs\chm
=> yes

Reinier Olislagers

2014-09-09 20:52

developer   ~0077012

Last edited: 2014-09-11 11:00

View 2 revisions

Tested this with Lazarus trunk:
a. Help/Help: lhelp does not crash on current Laz trunk
b. Help/Help: although the title bar shows RTL help, no actual help is shown nor are the help files visible on the left which should be fixed.
c. Help/Help then Closing lhelp works ok.

On first load: lhelp shows, gets hidden again and then pops up. This is the hide message being properly parsed (which irritatingly does not seem to work for context sensitive help) but apparently the open files messages are not sent or not processed...

Issue History

Date Modified Username Field Change
2014-04-26 18:36 nono95 New Issue
2014-04-27 12:51 Reinier Olislagers Note Added: 0074614
2014-09-09 18:12 Juha Manninen Assigned To => Reinier Olislagers
2014-09-09 18:12 Juha Manninen Status new => assigned
2014-09-09 19:19 Reinier Olislagers LazTarget => -
2014-09-09 19:19 Reinier Olislagers Note Added: 0077008
2014-09-09 19:19 Reinier Olislagers Status assigned => feedback
2014-09-09 20:52 Reinier Olislagers Note Added: 0077012
2014-09-10 08:05 Reinier Olislagers Status feedback => assigned
2014-09-10 08:05 Reinier Olislagers Status assigned => acknowledged
2014-09-10 08:06 Reinier Olislagers Note Edited: 0077008 View Revisions
2014-09-10 08:07 Reinier Olislagers Tag Attached: help
2014-09-10 08:07 Reinier Olislagers Tag Attached: lhelp
2014-09-11 11:00 Reinier Olislagers Note Edited: 0077012 View Revisions
2014-09-11 12:07 Reinier Olislagers File Added: help.diff
2014-09-12 09:56 Reinier Olislagers File Deleted: help.diff
2014-09-12 09:56 Reinier Olislagers File Added: help.diff
2014-09-13 06:55 Reinier Olislagers File Deleted: help.diff
2014-09-13 06:55 Reinier Olislagers File Added: help.diff
2014-09-15 13:58 Reinier Olislagers LazTarget - => 1.4
2014-09-15 13:58 Reinier Olislagers Status acknowledged => assigned
2014-09-15 13:58 Reinier Olislagers File Deleted: help.diff
2014-09-15 13:58 Reinier Olislagers File Added: help.diff
2014-09-19 13:34 Reinier Olislagers File Deleted: help.diff
2014-09-19 13:37 Reinier Olislagers Fixed in Revision => 46252
2014-09-19 13:37 Reinier Olislagers Widgetset => Win32/Win64
2014-09-19 13:37 Reinier Olislagers Status assigned => resolved
2014-09-19 13:37 Reinier Olislagers Fixed in Version => 1.3 (SVN)
2014-09-19 13:37 Reinier Olislagers Resolution open => fixed
2014-09-19 13:37 Reinier Olislagers Target Version => 1.4